[Overview][Types][Classes][Index] | Reference for unit 'LCLMemManager' (#lcl)

# TLCLMemManager.DisposeItem

Maintains values in FreeCount and Count when the memory manager item is freed.

## Declaration

Source position: lclmemmanager.pas line 46

`protected procedure TLCLMemManager.DisposeItem(`
`AnItem: PLCLMemManagerItem`
`);`

## Arguments

`AnItem` |  | Pointer to the memory manager item.

## See also

TLCLMemManager.FreeCount |  | Number of items marked as free in the list.
TLCLMemManager.MinimumFreeCount |  | Minimum block size that can be freed in the memory manager.
TLCLMemManager.MaximumFreeCountRatio |  | Threshold which determines if the memory manager marks a block or frees it.
TLCLMemManager.Count |  | Total number of items in the memory manager list.